/*
 * Newt-Puzzle
 * Copyright (C) Aude Jaulent 2009 <elderme@tuxfamily.org>
 * 
 * Newt-Puzzle is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Newt-Puzzle is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _SKYSHADER_H_
#define _SKYSHADER_H_

#include "shader.h"
#include "vector3.h"

class SkyShader: public Shader 
{
public:
	SkyShader();
		
	void setSunDirection(Vector3 sunDirection);
	void setTexId(int id, int idNight);
	
	int getLocationSunDirection();
		
protected:
	int locationSunDirection;
	int locationSkyMap;
	int locationSkyNightMap;
		
};



#endif // _SKYSHADER_H_
